New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

0013856: php setup.php --update fehler bei Felamimail #6852

Closed
Gloirin opened this Issue Jun 9, 2018 · 2 comments

Comments

Projects
None yet
1 participant
@Gloirin

Gloirin commented Jun 9, 2018

Reported by hkueller on 14 May 2018 20:55

Version: 2018.02.3 Community Edition

Leider hab ich ein Problem mit den Update in tine20 Community Edition.
ich habe gerade erfolgreich ein update von 2018.02.1 auf 2018.02.2 durchgeführt, und wollte gleich auf die 2018.02.3 weitergehen.
Leider kam beim run des setup.php --update eine latte an Fehlermeldungen:

php setup.php --update

PHP Fatal error: Uncaught Tinebase_Exception_Backend: Could not open defaultForwarding.sieve file in /WebDirs/tine/Felamimail/Setup/Update/Release11.php:32
Stack trace:
#0 /WebDirs/tine/Setup/Controller.php(593): Felamimail_Setup_Update_Release11->update_0()
#1 /WebDirs/tine/Setup/Controller.php(483): Setup_Controller->updateApplication(Object(Tinebase_Model_Application), '11')
#2 /WebDirs/tine/Setup/Frontend/Cli.php(438): Setup_Controller->updateApplications(Object(Tinebase_Record_RecordSet))
#3 /WebDirs/tine/Setup/Frontend/Cli.php(394): Setup_Frontend_Cli->_updateApplications()
#4 /WebDirs/tine/Setup/Frontend/Cli.php(71): Setup_Frontend_Cli->_update(Object(Zend_Console_Getopt))
#5 /WebDirs/tine/Setup/Server/Cli.php(123): Setup_Frontend_Cli->handle(Object(Zend_Console_Getopt))
#6 /WebDirs/tine/Setup/Core.php(115): Setup_Server_Cli->handle()
#7 /WebDirs/tine/setup.php(14): Setup_Core::dispatchRequest()
#8 {main}
thrown in /WebDirs/tine/Felamimail/Setup/Update/Release11.php on line 32

Fatal error: Uncaught Tinebase_Exception_Backend: Could not open defaultForwarding.sieve file in /WebDirs/tine/Felamimail/Setup/Update/Release11.php:32
Stack trace:
#0 /WebDirs/tine/Setup/Controller.php(593): Felamimail_Setup_Update_Release11->update_0()
#1 /WebDirs/tine/Setup/Controller.php(483): Setup_Controller->updateApplication(Object(Tinebase_Model_Application), '11')
#2 /WebDirs/tine/Setup/Frontend/Cli.php(438): Setup_Controller->updateApplications(Object(Tinebase_Record_RecordSet))
#3 /WebDirs/tine/Setup/Frontend/Cli.php(394): Setup_Frontend_Cli->_updateApplications()
#4 /WebDirs/tine/Setup/Frontend/Cli.php(71): Setup_Frontend_Cli->_update(Object(Zend_Console_Getopt))
#5 /WebDirs/tine/Setup/Server/Cli.php(123): Setup_Frontend_Cli->handle(Object(Zend_Console_Getopt))
#6 /WebDirs/tine/Setup/Core.php(115): Setup_Server_Cli->handle()
#7 /WebDirs/tine/setup.php(14): Setup_Core::dispatchRequest()
#8 {main}
thrown in /WebDirs/tine/Felamimail/Setup/Update/Release11.php on line 32

Ich habe Testweise in Felamimail/Setup/Update/Release11.php den block um line 32 (der das defaultForwarding.sieve zum schreiben öffnen will, sowie den Bereich um Zeile 66, der das File wieder schliessen will auskommentiert. Danach konnte ich auf 2018.02.3 updaten. Ich hoffe das hat später keine negativen auswirkungen. Mail - inclusive der Sieve funktionalitäten funktioniert mit der neuen Version auf dem Weg einwandfrei

Steps to reproduce: Datanbankbackup für Version 2018.02.2 einspielen. danach "setup.php --update" ausführen.

@Gloirin

This comment has been minimized.

Show comment
Hide comment
@Gloirin

Gloirin Jun 11, 2018

Comment posted by pschuele on 1 Jun 2018 08:14

http://gerrit.tine20.com/customers/9373

Gloirin commented Jun 11, 2018

Comment posted by pschuele on 1 Jun 2018 08:14

http://gerrit.tine20.com/customers/9373

@Gloirin

This comment has been minimized.

Show comment
Hide comment
@Gloirin

Gloirin Jun 11, 2018

Comment posted by pschuele on 1 Jun 2018 08:17

danke für den hinweis. vermutlich hast du gar keine filesystem aktiviert oder das update Felamimail auf 10.5 nicht erfolgreich durchgeführt. es sollte aber unproblematisch sein, da das template nur gebraucht wird, wenn man das email notification feature benutzen möchte.
ich habe sicherheitshalber noch eine prüfung auf ein aktives tine20-filesystem hinzugefügt.

Gloirin commented Jun 11, 2018

Comment posted by pschuele on 1 Jun 2018 08:17

danke für den hinweis. vermutlich hast du gar keine filesystem aktiviert oder das update Felamimail auf 10.5 nicht erfolgreich durchgeführt. es sollte aber unproblematisch sein, da das template nur gebraucht wird, wenn man das email notification feature benutzen möchte.
ich habe sicherheitshalber noch eine prüfung auf ein aktives tine20-filesystem hinzugefügt.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment